class: pyobs_allsky.AllSky

camera_name: "camera"

start_exposure_time: 0.0001
min_exposure_time: 0.000064
max_exposure_time: 30.0

start_gain: 1.0
min_gain: 1.0
max_gain: 400.0

mask_filepath: "mask.npy"
brightness_offset: 35.0
brightness_scaling: 4

day:
  image_broadcast: False
  imaging_interval: 30.0

  brightness_target:
    acceptable_brightness: 16384
    acceptable_brightness_deviation: 0.1
    aggressiveness: 1.1

  image_saver:
    - class: pyobs_allsky.image.save.ImageSaver
      file_path: "data/jpg/%Y%m%d%H%M%S.jpg"
      saving_strategy:
        class: pyobs_allsky.image.save.JPGStrategy
      pipeline:
        - class: "pyobs_allsky.image.save.pipeline.DeBayerer"
        - class: "pyobs_allsky.image.save.pipeline.HeaderWriter"
          header_keys: ["DATE-OBS", "EXPTIME"]

    - class: pyobs_allsky.image.save.ImageSaver
      file_path: "data/fits/%Y%m%d%H%M%S.fits"
      saving_strategy:
        class: pyobs_allsky.image.save.FitsStrategy
      pipeline: []

    - class: pyobs_allsky.image.save.ImageSaver
      file_path: "data/latest.jpg"
      saving_strategy:
        class: pyobs_allsky.image.save.JPGStrategy
      pipeline:
        - class: "pyobs_allsky.image.save.pipeline.DeBayerer"
        - class: "pyobs_allsky.image.save.pipeline.HeaderWriter"
          header_keys: [ "DATE-OBS", "EXPTIME" ]

    - class: pyobs_allsky.image.save.ImageSaver
      file_path: "data/latest.fits"
      saving_strategy:
        class: pyobs_allsky.image.save.FitsStrategy
        overwrite: True
      pipeline: []

night:
  image_broadcast: False
  imaging_interval: 30.0

  brightness_target:
    acceptable_brightness: 16384
    acceptable_brightness_deviation: 0.1
    aggressiveness: 1.1

  image_saver:
    - class: pyobs_allsky.image.save.ImageSaver
      file_path: "data/jpg/%Y%m%d%H%M%S.jpg"
      saving_strategy:
        class: pyobs_allsky.image.save.JPGStrategy
      pipeline:
        - class: "pyobs_allsky.image.save.pipeline.DeBayerer"
        - class: "pyobs_allsky.image.save.pipeline.HeaderWriter"
          header_keys: ["DATE-OBS", "EXPTIME"]

    - class: pyobs_allsky.image.save.ImageSaver
      file_path: "data/fits/%Y%m%d%H%M%S.fits"
      saving_strategy:
        class: pyobs_allsky.image.save.FitsStrategy
      pipeline: []

    - class: pyobs_allsky.image.save.ImageSaver
      file_path: "data/latest.jpg"
      saving_strategy:
        class: pyobs_allsky.image.save.JPGStrategy
      pipeline:
        - class: "pyobs_allsky.image.save.pipeline.DeBayerer"
        - class: "pyobs_allsky.image.save.pipeline.AstropyTransformer"
          config:
            class: "astropy.visualization.PercentileInterval"
            percentile: 99.9
        #- class: "pyobs_allsky.image.save.pipeline.AltAzCoordinatePlotter"
        - class: "pyobs_allsky.image.save.pipeline.HeaderWriter"
          header_keys: [ "DATE-OBS", "EXPTIME" ]

    - class: pyobs_allsky.image.save.ImageSaver
      file_path: "data/latest.fits"
      saving_strategy:
        class: pyobs_allsky.image.save.FitsStrategy
        overwrite: True
      pipeline: []